상세 컨텐츠

본문 제목

[이스트시큐리티] Log4j 취약점 무료 점검 도구 제공

악성코드 분석 리포트

by 알약4 2021. 12. 16. 14:16

본문

 

 

안녕하세요? 이스트시큐리티 입니다.


이스트시큐리티는 보다 안전한 인터넷 환경을 제공하기 위해 현재 전 세계적으로 이슈화되고 있는 Log4j 취약점 모듈 점검 도구를 개발해 기업과 개인을 대상으로 무료 배포를 진행합니다.

 

아래 등록된 점검 도구를 활용해 운영 관리중인 시스템의 Log4j 취약점 존재 여부를 파악하고, 최신 보안 업데이트 진행을 결정하는데 유용한 도구로 활용이 가능합니다.

 

2021년 12월 20일 기준, 최근까지 공개된 아파치 소프트웨어 재단의 Log4j 주요 보안 취약점은 총 5가지 입니다.

 

 

□ CVE-2021-44228
Apache Log4j 2에 존재하는 JNDI 인젝션 취약점으로, 해당 취약점을 악용하면 원격코드실행(RCE)이 가능하게 됩니다. 

 CVE-2021-45046
Apache에서 CVE-2021-44228 취약점을 해결한 Log4j 2.15.0 버전을 공개했으나, Log4j 2.15.0 버전이 특정 조건에서 불완전한 것으로 확인되었습니다. 해당 취약점을 악용하면 서비스 거부(DOS) 공격이 가능하게 됩니다. 

 CVE-2021-4104
Apache Log4 1.2 버전에 존재하는 원격코드실행 취약점으로, Log4j 1.x의 JMSAppender가 데이터 역직렬화에 취약하며, 해당 취약점을 악용하면 원격코드실행(RCE)이 가능하게 됩니다. 

 

 CVE-2021-42550

Logback에 존재하는 원격코드실행 취약점으로 Logback의 설정 파일에 접근 및 쓰기권한을 가진 공격자가 JMSAppender를 통해 JNDI lookup을 실행이 가능하여 원격코드실행(RCE)이 가능하게 됩니다. 단, 해당 취약점이 악용되려면 특정한 전제 조건이 우선적으로 성립되어야 합니다. 

 

□ CVE-2021-45105

Log4j 2에서 발생하는 서비스 거부 취약점으로, 로그 구성에서 레이아웃패턴 및 컨텍스트 기능을 사용할 때, 공격자는 재귀 조회기능이 포함된 데이터를 통하여 MDC(Mapped Diagnostic Context)를 제어하고 StackOverflowError를 발생시켜 프로세스를 종료시켜 서비스 거부공격이 가능하게 됩니다. 

 

 

 

 

※ Log4j 취약점 무료 점검 도구 안내 (암호화된 ZIP 압축파일 다운로드)

 

Log4j 취약점 점검 도구는 콘솔(CLI) 기반으로 윈도우(32bit / 64bit) 버전 및 리눅스(32bit / 64bit) 버전으로 제작됐으며, 아래와 같은 사용 환경을 지원합니다. 

 

 

+ 업데이트 내역

2021년 12월 20일  CVE-2021-45105, CVE-2021-42550 점검 로직 추가 (ver 21.12.18.1)

2021년 12월 16일  CVE-2021-44228, CVE-2021-45046, CVE-2021-4104 무료 점검도구 개발 및 배포 (ver 21.12.16.2)

 

 

 

○  Windows 버전 

 

- 사용 환경 및 다운로드

Windows 7 이상
Windows Server 2008 R2 이상

https://www.estsecurity.com/enterprise/security-center/download


▶ 윈도우(x86) 점검 도구 (AlyacLog4jScanner_Windows_x86.zip)


▶ 윈도우(x64) 점검 도구 (AlyacLog4jScanner_Windows_x64.zip)


※ ZIP 파일 비밀번호 : alyaclog4j

 

- 사용 방법

a. 취약점 점검 도구 (관리자 권한) 실행 및 검사 대상 경로 입력

Ex) D:\AlyacLog4jScanner_Windows_x64.exe [경로]


b. 만약 취약점 모듈이 존재할 경우 탐지 결과 출력 (최신 보안업데이트 진행 필요)

 

 

 

 

○  Linux 버전

 

- 사용 환경 및 다운로드

CentOS 4 이상

https://www.estsecurity.com/enterprise/security-center/download

 

▶ 리눅스(x86) 점검 도구 (AlyacLog4jScanner_Linux_x86.zip)


▶ 리눅스(x64) 점검 도구 (AlyacLog4jScanner_Linux_x64.zip)

 

※ ZIP 파일 비밀번호 : alyaclog4j

 

 

- 사용 방법

a. 취약점 점검 도구 (루트 권한) 실행 및 검사 대상 경로 입력
Ex) sudo ./AlyacLog4jScanner_Linux_x64 /dir

b. 만약 취약점 모듈이 존재할 경우 탐지 결과 출력 (최신 보안업데이트 진행 필요)

 

 

 

Apache Log4j 보안 취약점 관련 보다 자세한 업데이트 방법은 아래 포스팅을 참고해 주시기 바랍니다. 

 

※ Apache Log4j 보안 취약점 대응 방안 안내 

 

[긴급] Apache Log4j 보안 취약점 대응 방안 안내

안녕하세요? 이스트시큐리티 ESRC(시큐리티대응센터) 입니다. Log4j 라이브러리는 아파치 소프트웨어 재단에서 개발한 인기 있는 Java 로깅 프레임 워크입니다. Log4j는 프로그램을 작성하는 도중에

blog.alyac.co.kr

 

 

관련글 더보기

댓글 영역